"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var angular = require("angular");
var AjaxFactory_1 = require("./AjaxFactory");
var RoleFactory = (function () {
    function RoleFactory($http, $rootScope, ajaxFactory) {
        this.$http = $http;
        this.$rootScope = $rootScope;
        this.ajaxFactory = ajaxFactory;
    }
    RoleFactory.Factory = function () {
        return this.$inject;
    };
    RoleFactory.prototype.$get = function () {
        return this;
    };
    RoleFactory.prototype.getRoles = function (cb) {
        if (RoleFactory.Roles && RoleFactory.Roles.length > 0)
            cb(RoleFactory.Roles);
        else {
            this.ajaxFactory.httpServerCall('/api/role/', 'get', undefined, function (data) {
                if (data && data.length > 0)
                    RoleFactory.Roles = data;
                cb(RoleFactory.Roles);
            });
        }
    };
    RoleFactory.prototype.getSelectList = function (resolve) {
        this.getRoles(function (roles) {
            var list = [];
            if (roles && roles.length)
                list = roles;
            var resultList = [];
            for (var i = 0; i < list.length; i++) {
                resultList.push(new Object({ label: list[i].name, value: list[i].id }));
            }
            resolve(resultList);
        });
    };
    return RoleFactory;
}());
RoleFactory.$inject = ['$http', '$rootScope', AjaxFactory_1.AjaxFactory.factoryName];
RoleFactory.factoryName = 'role-factory';
RoleFactory.Roles = [];
exports.RoleFactory = RoleFactory;
RoleFactory.$inject.push(function (http, $rootScope, ajaxFactory) {
    return new RoleFactory(http, $rootScope, ajaxFactory);
});
exports.RoleFactoryModule = angular.module('role-factory-module', [AjaxFactory_1.AjaxFactoryModule.name]);
exports.RoleFactoryModule.factory(RoleFactory.factoryName, RoleFactory.Factory());
//# sourceMappingURL=RoleFactory.js.map